Subject: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: Anders Lindgren <[email-masked]>
Date: Sat, 16 Apr 2016 20:55:19 +0200

Hi!

> > I had a file open in Emacs that was rewritten over and over again by
> > an external process. My guess is that Emacs decides that it should be
> > reverted, but when it actually reads the file, it is no longer
> > present.
>
> I've tried to write a test case for this, but I've failed. Do you have a
> recipe to provoke this error?
>

Unfortunately, no. And I don't see how it would be possible to write a test
for this either, as the file must be removed after auto-revert decides that
it should be reverted and before the actual revert takes place.

In real-life, I see it a couple of times each week. However, in my Emacs I
have opened files associated with processes that erase and rewrite them,
say, every ten seconds.

    Anders